#***************************************************************************************************
#                         R script for visualising Episodic TopoART networks                       *
#                           Created by Marko Tscherepanow, 15 October 2013                         *
#***************************************************************************************************

# set the working directory to LibTopoART_v0.58/R/
# Run: source("ShowEpisodicTopoARTResults.R")

sapply(list.files(pattern="[.]R$", path="functions/", full.names=TRUE), source)

EpisodicTopoART()

#open trained Episodic TopoART network saved as text file
eta<-new("EpisodicTopoARTNetwork", path="networks/Episodic_TopoART_TwoSpirals_dataset.txt")

#images are saved to images/ETA_x.pdf, where x denotes the module (a, b, c, d, or e)
SaveEpisodicTopoARTPlot(eta)

